<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Type:  Panel
| Name: FP News Panel
| Version: 1.00
| File Name: fp_news_panel.php
| Author: Fangree Productions
| Site: http://www.fangree.co.uk
| Contact: admin@fangree.co.uk
| Developers: Fangree_Craig
| Additional code from PHP-Fusion V7.02 news.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include LOCALE.LOCALESET."news_cats.php";

//////////SETTINGS/////////////////////////////////////////////
//Single or double column news 1 == Single || 0 == Double collumn
$single = 0;
// Number of news displayed
$items_per_page = 4;
// Counter for Displaying News in 2 Columns NO NEED TO CHANGE THIS.
$counter = 3;
/////////////SETTINGS END /////////////////////////////////////

	$i = 0;

	if (!isset($_GET['readmore']) || !isnum($_GET['readmore'])) {
	$rows = dbcount("(news_id)", DB_NEWS, groupaccess('news_visibility')." 
						AND (news_start='0'||news_start<=".time().")
						AND (news_end='0'||news_end>=".time().")
						AND news_draft='0'");

	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows) {
	$result = dbquery(
	"SELECT tn.*, tc.*, tu.user_id, tu.user_name, tu.user_status, news_news
	FROM ".DB_NEWS." tn
	LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
	LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
	WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().")
	AND (news_end='0'||news_end>=".time().") AND news_draft='0'
	GROUP BY news_id
	ORDER BY news_sticky DESC, news_datestamp DESC LIMIT ".$_GET['rowstart'].",".$items_per_page
	);

	$numrows = dbrows($result);
	if ($single !=="1") {
	echo "<table valign='top' cellpadding='0' cellspacing='2' width='100%' border='0'>\n<tr>\n";
	}
	while ($data = dbarray($result)) {
	$i++;
	$comments = dbcount("(comment_id)", DB_COMMENTS." WHERE comment_type='N' AND comment_hidden='0' AND comment_item_id='".$data['news_id']."'");
	$news_cat_image = "";
	$news_subject = "<a name='news_".$data['news_id']."' id='news_".$data['news_id']."'></a>".stripslashes($data['news_subject']);
	$news_cat_image = "<a href='".($settings['news_image_link'] == 0 ? "news_cats.php?cat_id=".$data['news_cat'] : BASEDIR."news.php?readmore=".$data['news_id'] )."'>";
	if ($data['news_image_t2'] && $settings['news_image_frontpage'] == 0) {
	$news_cat_image .= "<img src='".IMAGES_N_T.$data['news_image_t2']."' alt='".$data['news_subject']."' class='news-category' /></a>";
	} elseif ($data['news_cat_image']) {
	$news_cat_image .= "<img src='".get_image("nc_".$data['news_cat_name'])."' alt='".$data['news_cat_name']."' class='news-category' /></a>";
	} else {
	$news_cat_image = "";
	}
	$news_news = $data['news_breaks'] == "y" ? nl2br(stripslashes($data['news_news'])) : stripslashes($data['news_news']);

	$news_info = array(
	"news_id" => $data['news_id'], "user_id" => $data['user_id'],
	"user_name" => $data['user_name'], "user_status" => $data['user_status'],
	"news_date" => $data['news_datestamp'], "cat_id" => $data['news_cat'],
	"news_news" => $data['news_news'], "cat_name" => $data['news_cat_name'],
	"cat_image" => $news_cat_image, "news_subject" => $data['news_subject'],
	"news_ext" => $data['news_extended'] ? "y" : "n", "news_reads" => $data['news_reads'],
	"news_comments" => $comments, "news_allow_comments" => $data['news_allow_comments'],
	"news_sticky" => $data['news_sticky']
	);
	
	if ($single =="1") {
	echo "<!--news_prepost_".$i."-->\n";
	render_news($news_subject, $news_news, $news_info);
	}else{
	echo "<td style='vertical-align: top; width: 50%;'>\n";
	echo "<!--news_prepost_".$i."-->\n";
	render_news($news_subject, $news_news, $news_info);
	echo "</td>\n";
	if ($counter % 2 == 0){ echo "</tr>\n<tr>\n"; }
	$counter++;
	}
	}
	if ($single !=="1") {
	echo "</tr>\n</table>";
	}
	echo "<!--sub_news_idx-->\n";

	if ($rows > $items_per_page) echo "<div style='margin-top:5px; text-align: center;'>\n".makepagenav($_GET['rowstart'],$items_per_page,$rows,3)."\n</div><br />\n";
	} else {
	opentable($locale['global_077']);
	echo "<div style='text-align: center;'><br />\n".$locale['global_078']."<br /><br />\n</div>\n";
	closetable();
	}
	}
	
?>